import React from 'react';
import type { StickyTableProps } from './StickyTableTypes';
/**
 * This component is used to render the sticky table
 * @param data - data to render the table
 * @param maxWidth - max width of the title
 * @param minWidth - min width of the title
 * @param removeProperty - property to remove from the title
 * @returns -React Element
 */
declare const StickyTable: ({ data, maxWidth, minWidth, rowTitleProps, scrollViewProps, containerStyle, containerProps, flatListProps, tableItemProps, }: StickyTableProps) => React.JSX.Element;
export default StickyTable;
